summaryrefslogtreecommitdiff
path: root/x11-libs
diff options
context:
space:
mode:
author(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
committer(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
commitf1e95daae05c57d935b00e611c624c5e75cd21ec (patch)
tree4065ab51d9e64882d9001a59ede7d9a4e372a4a6 /x11-libs
uploading my overlay ), initial commit
git-svn-id: http://172.18.13.13/svn/sss_overlay@1 4d9a9b59-111c-4e0b-8f7a-7640551abb98
Diffstat (limited to 'x11-libs')
-rw-r--r--x11-libs/cairo/cairo-9999.ebuild88
l---------x11-libs/cairo/files1
-rw-r--r--x11-libs/compizconfig-backend-kconfig/compizconfig-backend-kconfig-0.8.2.ebuild24
l---------x11-libs/gtk+/files1
-rw-r--r--x11-libs/gtk+/gtk+-2.9999.ebuild164
l---------x11-libs/pango/files1
-rw-r--r--x11-libs/pango/pango-9999.ebuild94
-rw-r--r--x11-libs/pixman/files/pixman-0.12.0-sse.patch14
-rw-r--r--x11-libs/pixman/pixman-9999.ebuild26
9 files changed, 413 insertions, 0 deletions
diff --git a/x11-libs/cairo/cairo-9999.ebuild b/x11-libs/cairo/cairo-9999.ebuild
new file mode 100644
index 0000000..62cb262
--- /dev/null
+++ b/x11-libs/cairo/cairo-9999.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/cairo/cairo-1.8.2.ebuild,v 1.1 2008/10/31 20:45:54 cardoe Exp $
+
+inherit eutils flag-o-matic libtool git
+
+DESCRIPTION="A vector graphics library with cross-device output support"
+HOMEPAGE="http://cairographics.org/"
+SRC_URI=""
+
+EGIT_REPO_URI="git://anongit.freedesktop.org/git/cairo"
+EGIT_BOOTSTRAP="./autogen.sh"
+
+LICENSE="|| ( LGPL-2.1 MPL-1.1 )"
+SLOT="0"
+KEYWORDS=""
+IUSE="debug directfb doc glitz opengl svg X xcb"
+
+# Test causes a circular depend on gtk+... since gtk+ needs cairo but test needs gtk+ so we need to block it
+RESTRICT="test"
+
+RDEPEND="media-libs/fontconfig
+ >=media-libs/freetype-2.1.9
+ sys-libs/zlib
+ media-libs/libpng
+ >=x11-libs/pixman-0.12.0
+ directfb? ( >=dev-libs/DirectFB-0.9.24 )
+ glitz? ( >=media-libs/glitz-0.5.1 )
+ svg? ( dev-libs/libxml2 )
+ X? ( >=x11-libs/libXrender-0.6
+ x11-libs/libXext
+ x11-libs/libX11
+ virtual/xft )
+ xcb? ( >=x11-libs/libxcb-0.92
+ x11-libs/xcb-util )"
+# test? (
+# pdf test
+# x11-libs/pango
+# >=x11-libs/gtk+-2.0
+# >=app-text/poppler-bindings-0.9.2
+# ps test
+# virtual/ghostscript
+# svg test
+# >=x11-libs/gtk+-2.0
+# >=gnome-base/librsvg-2.15.0
+
+DEPEND="${RDEPEND}
+ >=dev-util/pkgconfig-0.19
+ doc? ( >=dev-util/gtk-doc-1.6
+ ~app-text/docbook-xml-dtd-4.2 )
+ X? ( x11-proto/renderproto )
+ xcb? ( x11-proto/xcb-proto )"
+
+#pkg_setup() {
+# if ! built_with_use app-text/poppler-bindings gtk ; then
+# eerror 'poppler-bindings with gtk is required for the pdf backend'
+# die 'poppler-bindings built without gtk support'
+# fi
+#}
+
+src_unpack() {
+ git_src_unpack
+ cd "${S}"
+
+}
+
+src_compile() {
+ #gets rid of fbmmx.c inlining warnings
+ append-flags -finline-limit=1200
+
+ if use glitz && use opengl; then
+ export glitz_LIBS=-lglitz-glx
+ fi
+
+ econf $(use_enable X xlib) $(use_enable doc gtk-doc) \
+ $(use_enable directfb) $(use_enable xcb) \
+ $(use_enable svg) $(use_enable glitz) $(use_enable X xlib-xrender) \
+ $(use_enable debug test-surfaces) --enable-pdf --enable-png \
+ --enable-freetype --enable-ps \
+ || die "configure failed"
+
+ emake || die "compile failed"
+}
+
+src_install() {
+ make DESTDIR="${D}" install || die "Installation failed"
+ dodoc AUTHORS ChangeLog NEWS README
+}
diff --git a/x11-libs/cairo/files b/x11-libs/cairo/files
new file mode 120000
index 0000000..68d5a11
--- /dev/null
+++ b/x11-libs/cairo/files
@@ -0,0 +1 @@
+/var/paludis/repositories/gentoo/x11-libs/cairo/files \ No newline at end of file
diff --git a/x11-libs/compizconfig-backend-kconfig/compizconfig-backend-kconfig-0.8.2.ebuild b/x11-libs/compizconfig-backend-kconfig/compizconfig-backend-kconfig-0.8.2.ebuild
new file mode 100644
index 0000000..b21b5cd
--- /dev/null
+++ b/x11-libs/compizconfig-backend-kconfig/compizconfig-backend-kconfig-0.8.2.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+ARTS_REQUIRED="never"
+NEED_KDE="3.5"
+
+inherit kde
+
+PREFIX=`kde-config --prefix`
+#QTDIR='/usr'
+
+DESCRIPTION="Compizconfig Kconfig Backend"
+HOMEPAGE="http://www.compiz.org/"
+SRC_URI="http://releases.compiz.org/components/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="~x11-libs/libcompizconfig-${PV}
+ ~x11-wm/compiz-${PV}"
+RDEPEND="${DEPEND}"
diff --git a/x11-libs/gtk+/files b/x11-libs/gtk+/files
new file mode 120000
index 0000000..145e7da
--- /dev/null
+++ b/x11-libs/gtk+/files
@@ -0,0 +1 @@
+/var/paludis/repositories/gentoo/x11-libs/gtk+/files \ No newline at end of file
diff --git a/x11-libs/gtk+/gtk+-2.9999.ebuild b/x11-libs/gtk+/gtk+-2.9999.ebuild
new file mode 100644
index 0000000..4d01043
--- /dev/null
+++ b/x11-libs/gtk+/gtk+-2.9999.ebuild
@@ -0,0 +1,164 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/gtk+/gtk+-2.14.4.ebuild,v 1.1 2008/10/19 03:27:31 leio Exp $
+
+WANT_AUTOMAKE="1.7"
+
+inherit flag-o-matic eutils libtool virtualx subversion
+
+DESCRIPTION="Gimp ToolKit +"
+HOMEPAGE="http://www.gtk.org/"
+
+ESVN_REPO_URI="http://svn.gnome.org/svn/gtk+/trunk"
+ESVN_STORE_DIR="${DISTDIR}/svn-src"
+ESVN_PROJECT="${PN/-svn}"
+ESVN_BOOTSTRAP="./autogen.sh"
+
+S="${WORKDIR}/${P/_/}"
+
+
+LICENSE="LGPL-2"
+SLOT="2"
+KEYWORDS=""
+IUSE="cups debug doc jpeg jpeg2k tiff vim-syntax xinerama"
+
+RDEPEND="x11-libs/libXrender
+ x11-libs/libX11
+ x11-libs/libXi
+ x11-libs/libXt
+ x11-libs/libXext
+ >=x11-libs/libXrandr-1.2
+ x11-libs/libXcursor
+ x11-libs/libXfixes
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ xinerama? ( x11-libs/libXinerama )
+ >=dev-libs/glib-2.17.6
+ >=x11-libs/pango-1.20
+ >=dev-libs/atk-1.13
+ >=x11-libs/cairo-1.6
+ media-libs/fontconfig
+ x11-misc/shared-mime-info
+ >=media-libs/libpng-1.2.1
+ cups? ( net-print/cups )
+ jpeg? ( >=media-libs/jpeg-6b-r2 )
+ jpeg2k? ( media-libs/jasper )
+ tiff? ( >=media-libs/tiff-3.5.7 )
+ !<gnome-base/gail-1000"
+DEPEND="${RDEPEND}
+ >=dev-util/pkgconfig-0.9
+ x11-proto/xextproto
+ x11-proto/xproto
+ x11-proto/inputproto
+ x11-proto/damageproto
+ xinerama? ( x11-proto/xineramaproto )
+ >=dev-util/gtk-doc-am-1.8
+ doc? (
+ >=dev-util/gtk-doc-1.8
+ ~app-text/docbook-xml-dtd-4.1.2
+ )"
+PDEPEND="vim-syntax? ( app-vim/gtk-syntax )"
+
+pkg_setup() {
+ if ! built_with_use x11-libs/cairo X; then
+ eerror "Please re-emerge x11-libs/cairo with the X USE flag set"
+ die "cairo needs the X flag set"
+ fi
+}
+
+set_gtk2_confdir() {
+ # An arch specific config directory is used on multilib systems
+ has_multilib_profile && GTK2_CONFDIR="/etc/gtk-2.0/${CHOST}"
+ GTK2_CONFDIR=${GTK2_CONFDIR:=/etc/gtk-2.0}
+}
+
+src_unpack() {
+ subversion_src_unpack
+ cd "${S}"
+
+ # use an arch-specific config directory so that 32bit and 64bit versions
+ # dont clash on multilib systems
+ has_multilib_profile && epatch "${FILESDIR}/${PN}-2.8.0-multilib.patch"
+
+ # Workaround adobe flash infinite loop. Patch from http://bugzilla.gnome.org/show_bug.cgi?id=463773#c11
+ epatch "${FILESDIR}/${PN}-2.12.0-flash-workaround.patch"
+
+ # Don't break inclusion of gtkclist.h, upstream bug 536767
+ epatch "${FILESDIR}/${PN}-2.14.3-limit-gtksignal-includes.patch"
+
+ # -O3 and company cause random crashes in applications. Bug #133469
+ replace-flags -O3 -O2
+ strip-flags
+
+ use ppc64 && append-flags -mminimal-toc
+
+ elibtoolize
+}
+
+src_compile() {
+ # png always on to display icons (foser)
+ local myconf="$(use_enable doc gtk-doc) \
+ $(use_with jpeg libjpeg) \
+ $(use_with jpeg2k libjasper) \
+ $(use_with tiff libtiff) \
+ $(use_enable xinerama) \
+ $(use_enable cups cups auto) \
+ --with-libpng \
+ --with-gdktarget=x11 \
+ --with-xinput"
+
+ # Passing --disable-debug is not recommended for production use
+ use debug && myconf="${myconf} --enable-debug=yes"
+
+ econf ${myconf} || die "configure failed"
+ emake || die "compile failed"
+}
+
+src_test() {
+ Xemake check || die "tests failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "Installation failed"
+
+ set_gtk2_confdir
+ dodir ${GTK2_CONFDIR}
+ keepdir ${GTK2_CONFDIR}
+
+ # see bug #133241
+ echo 'gtk-fallback-icon-theme = "gnome"' > "${D}/${GTK2_CONFDIR}/gtkrc"
+
+ # Enable xft in environment as suggested by <utx@gentoo.org>
+ dodir /etc/env.d
+ echo "GDK_USE_XFT=1" > "${D}/etc/env.d/50gtk2"
+
+ dodoc AUTHORS ChangeLog* HACKING NEWS* README*
+
+ # This has to be removed, because it's multilib specific; generated in
+ # postinst
+ rm "${D}/etc/gtk-2.0/gtk.immodules"
+}
+
+pkg_postinst() {
+ set_gtk2_confdir
+
+ if [ -d "${ROOT}${GTK2_CONFDIR}" ]; then
+ gtk-query-immodules-2.0 > "${ROOT}${GTK2_CONFDIR}/gtk.immodules"
+ gdk-pixbuf-query-loaders > "${ROOT}${GTK2_CONFDIR}/gdk-pixbuf.loaders"
+ else
+ ewarn "The destination path ${ROOT}${GTK2_CONFDIR} doesn't exist;"
+ ewarn "to complete the installation of GTK+, please create the"
+ ewarn "directory and then manually run:"
+ ewarn " cd ${ROOT}${GTK2_CONFDIR}"
+ ewarn " gtk-query-immodules-2.0 > gtk.immodules"
+ ewarn " gdk-pixbuf-query-loaders > gdk-pixbuf.loaders"
+ fi
+
+ if [ -e /usr/lib/gtk-2.0/2.[^1]* ]; then
+ elog "You need to rebuild ebuilds that installed into" /usr/lib/gtk-2.0/2.[^1]*
+ elog "to do that you can use qfile from portage-utils:"
+ elog "emerge -va1 \$(qfile -qC /usr/lib/gtk-2.0/2.[^1]*)"
+ fi
+
+ elog "Please install app-text/evince for print preview functionality"
+}
diff --git a/x11-libs/pango/files b/x11-libs/pango/files
new file mode 120000
index 0000000..78f78af
--- /dev/null
+++ b/x11-libs/pango/files
@@ -0,0 +1 @@
+/var/paludis/repositories/gentoo/x11-libs/pango/files \ No newline at end of file
diff --git a/x11-libs/pango/pango-9999.ebuild b/x11-libs/pango/pango-9999.ebuild
new file mode 100644
index 0000000..33ee025
--- /dev/null
+++ b/x11-libs/pango/pango-9999.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/pango/pango-1.22.2.ebuild,v 1.1 2008/10/31 00:10:31 leio Exp $
+
+inherit eutils multilib subversion
+
+DESCRIPTION="Text rendering and layout library"
+HOMEPAGE="http://www.pango.org/"
+
+LICENSE="LGPL-2 FTL"
+SLOT="0"
+KEYWORDS=""
+IUSE="X debug doc"
+
+ESVN_REPO_URI="http://svn.gnome.org/svn/pango/trunk"
+ESVN_STORE_DIR="${DISTDIR}/svn-src"
+ESVN_PROJECT="${PN/-svn}"
+ESVN_BOOTSTRAP="./autogen.sh"
+
+S="${WORKDIR}/${P/_/}"
+
+RDEPEND=">=dev-libs/glib-2.17.3
+ >=media-libs/fontconfig-1.0.1
+ >=media-libs/freetype-2
+ >=x11-libs/cairo-1.7.6
+ X? (
+ x11-libs/libXrender
+ x11-libs/libX11
+ x11-libs/libXft
+ )"
+DEPEND="${RDEPEND}
+ >=dev-util/pkgconfig-0.9
+ doc? (
+ >=dev-util/gtk-doc-1
+ ~app-text/docbook-xml-dtd-4.1.2
+ )
+ X? ( x11-proto/xproto )"
+
+DOCS="AUTHORS ChangeLog* NEWS README TODO*"
+
+function multilib_enabled() {
+ has_multilib_profile || ( use x86 && [ "$(get_libdir)" == "lib32" ] )
+}
+
+pkg_setup() {
+ # Do NOT build with --disable-debug/--enable-debug=no
+ if use debug ; then
+ G2CONF="${G2CONF} --enable-debug=yes"
+ fi
+
+ G2CONF="${G2CONF} $(use_with X x)"
+}
+
+src_unpack() {
+ subversion_src_unpack
+
+ # make config file location host specific so that a 32bit and 64bit pango
+ # wont fight with each other on a multilib system. Fix building for
+ # emul-linux-x86-gtklibs
+ if multilib_enabled ; then
+ epatch "${FILESDIR}/${PN}-1.2.5-lib64.patch"
+ fi
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ rm "${D}/etc/pango/pango.modules"
+}
+
+pkg_postinst() {
+ if [[ "${ROOT}" == "/" ]] ; then
+ einfo "Generating modules listing..."
+
+ local PANGO_CONFDIR=
+
+ if multilib_enabled ; then
+ PANGO_CONFDIR="/etc/pango/${CHOST}"
+ else
+ PANGO_CONFDIR="/etc/pango"
+ fi
+
+ mkdir -p ${PANGO_CONFDIR}
+
+ pango-querymodules > ${PANGO_CONFDIR}/pango.modules
+ fi
+}
+
+src_compile(){
+ econf\
+ $(use_enable doc gtk-doc) \
+ $(use_enable doc man) \
+ $(useq debug && echo --enable-debug=yes )
+ emake
+}
diff --git a/x11-libs/pixman/files/pixman-0.12.0-sse.patch b/x11-libs/pixman/files/pixman-0.12.0-sse.patch
new file mode 100644
index 0000000..1f6ee92
--- /dev/null
+++ b/x11-libs/pixman/files/pixman-0.12.0-sse.patch
@@ -0,0 +1,14 @@
+--- configure.ac.orig 2008-09-25 20:34:22.000000000 -0700
++++ configure.ac 2008-09-25 20:43:57.000000000 -0700
+@@ -191,10 +191,8 @@
+ CFLAGS="$CFLAGS -msse2 $SSE2_CFLAGS"
+
+ AC_COMPILE_IFELSE([
+-#if defined(__GNUC__) && (__GNUC__ < 4 || (__GNUC__ == 4 && __GNUC_MINOR__ < 2))
+-# if !defined(__amd64__) && !defined(__x86_64__)
++#if !defined(__GNUC__) && !(__GNUC__ < 4 || (__GNUC__ == 4 && __GNUC_MINOR__ < 2))
+ # error "Need GCC >= 4.2 for SSE2 intrinsics on x86"
+-# endif
+ #endif
+ #include <mmintrin.h>
+ #include <xmmintrin.h>
diff --git a/x11-libs/pixman/pixman-9999.ebuild b/x11-libs/pixman/pixman-9999.ebuild
new file mode 100644
index 0000000..144a467
--- /dev/null
+++ b/x11-libs/pixman/pixman-9999.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/pixman/pixman-0.9.5.ebuild,v 1.1 2007/09/08 08:47:24 dberkholz Exp $
+
+# Must be before x-modular eclass is inherited
+SNAPSHOT="yes"
+
+inherit git x-modular
+
+EGIT_REPO_URI="git://anongit.freedesktop.org/git/pixman"
+EGIT_BOOTSTRAP="./autogen.sh"
+
+
+DESCRIPTION="Low-level pixel manipulation routines"
+SRC_URI=""
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd"
+
+src_config(){
+ econf || die
+}
+
+src_unpack() {
+ git_src_unpack
+ x-modular_patch_source
+ x-modular_reconf_source
+}